package com.inca.npbusi.saHelper;

import com.inca.np.demo.communicate.RemotesqlHelper;
import com.inca.np.gui.control.DBTableModel;
import com.inca.np.util.DefaultNPParam;
import com.inca.np.util.SelectHelper;
import java.io.File;
import java.sql.Connection;
import java.sql.SQLException;

public class SaCalcRate {
   public static String[] getAssessDataForServer(Connection var0, String var1) {
      String var2 = "";
      String var3 = "";
      String var4 = "";
      String var5 = null;

      try {
         var5 = "select awardrate,punishrate,setdays from bms_assess_custom_calcdef where customid = ? ";
         SelectHelper var9;
         (var9 = new SelectHelper(var5)).bindParam(var1);
         DBTableModel var8;
         if ((var8 = var9.executeSelect(var0, 0, 1)) != null && var8.getRowCount() > 0) {
            var2 = var8.getItemValue(0, "awardrate");
            var3 = var8.getItemValue(0, "punishrate");
            var4 = var8.getItemValue(0, "setdays");
         } else {
            var5 = "select awardrate,punishrate,setdays from bms_assess_calcdef";
            if ((var8 = (new SelectHelper(var5)).executeSelect(var0, 0, 1)) != null && var8.getRowCount() > 0) {
               var2 = var8.getItemValue(0, "awardrate");
               var3 = var8.getItemValue(0, "punishrate");
               var4 = var8.getItemValue(0, "setdays");
            }
         }
      } catch (SQLException var6) {
         var6.printStackTrace();
      } catch (Exception var7) {
         var7.printStackTrace();
      }

      String[] var10;
      (var10 = new String[3])[0] = var2;
      var10[1] = var3;
      var10[2] = var4;
      return var10;
   }

   public static String[] getAssessDataForClient(String var0) {
      RemotesqlHelper var1 = new RemotesqlHelper();
      String[] var2 = new String[3];
      String var3 = null;
      var3 = null;
      String var4 = "";
      String var5 = "";
      String var6 = "";

      try {
         var3 = "select awardrate,punishrate,setdays from bms_assess_custom_calcdef where customid =" + var0;
         DBTableModel var8;
         if ((var8 = var1.doSelect(var3, 0, 1)) != null && var8.getRowCount() > 0) {
            var4 = var8.getItemValueWithformat(0, "awardrate");
            var5 = var8.getItemValue(0, "punishrate");
            var6 = var8.getItemValue(0, "setdays");
         } else {
            var3 = "select awardrate,punishrate,setdays from bms_assess_calcdef";
            if ((var8 = var1.doSelect(var3, 0, 1)) != null && var8.getRowCount() > 0) {
               var4 = var8.getItemValue(0, "punishrate");
               var5 = var8.getItemValue(0, "awardrate");
               var6 = var8.getItemValue(0, "setdays");
            }
         }

         var2[0] = var4;
         var2[1] = var5;
         var2[2] = var6;
      } catch (Exception var7) {
         var7.printStackTrace();
      }

      return var2;
   }

   public static void main(String[] var0) {
      (new File("bin")).mkdirs();
      (new File("logs")).mkdirs();
      DefaultNPParam.debug = 1;
      DefaultNPParam.develop = 1;
      DefaultNPParam.debugdbip = "192.9.200.89";
      DefaultNPParam.debugdbpasswd = "pm4database";
      DefaultNPParam.debugdbsid = "pb";
      DefaultNPParam.debugdbusrname = "pm4database";
      DefaultNPParam.prodcontext = "npbusi";

      try {
         var0 = getAssessDataForClient("13");

         for(int var1 = 0; var1 < var0.length; ++var1) {
            System.out.println("-------" + var0[var1] + "--------");
         }

      } catch (Exception var2) {
         var2.printStackTrace();
      }
   }
}
